### Hierarchy

- Http
- Http
  - HttpService

## Index

### Constructors

- constructor

### Accessors

- interceptors
- type
- instance

### Methods

- applyInterceptors
- delete
- flushInterceptors
- get
- post
- preflightGet
- put
- queryParams
- registerInterceptor
- unregisterInterceptor

### Object literals

- optionsDefault

## Constructors

### constructor

- new HttpService(enforcer: any): HttpService

- Overrides Http.constructor

  - Defined in http/http-service.ts:9

  #### Parameters

  - ##### enforcer: any

  #### Returns HttpService

## Accessors

### interceptors

- get interceptors(): any[]

- Inherited from Http.interceptors

  Overrides Http.interceptors

  - Defined in http/http.ts:99

  #### Returns any[]

### type

- get type(): string
- set type(value: string): void

- - Defined in rx/http/http-service.ts:57

  #### Returns string

- - Defined in rx/http/http-service.ts:61

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in rx/http/http-service.ts:50

  #### Returns any

## Methods

### applyInterceptors

- applyInterceptors(options: any): any

- Inherited from Http.applyInterceptors

  Overrides Http.applyInterceptors

  - Defined in http/http.ts:68

  #### Parameters

  - ##### options: any

  #### Returns any

### delete

- delete(url: string, object: any, options: any): void

- Inherited from Http.delete

  Overrides Http.delete

  - Defined in http/http.ts:42

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### flushInterceptors

- flushInterceptors(): void

- Inherited from Http.flushInterceptors

  Overrides Http.flushInterceptors

  - Defined in http/http.ts:83

  #### Returns void

### get

- get(url: string, options?: any): Promise<any>

- Inherited from Http.get

  Overrides Http.get

  - Defined in http/http.ts:20

  #### Parameters

  - ##### url: string

  - ##### Default value options: any = {}

  #### Returns Promise<any>

### post

- post(url: string, object: any, options: any): void

- Inherited from Http.post

  Overrides Http.post

  - Defined in http/http.ts:38

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### preflightGet

- preflightGet(url: string, options?: any): object

- Inherited from Http.preflightGet

  Overrides Http.preflightGet

  - Defined in http/http.ts:46

  #### Parameters

  - ##### url: string

  - ##### Default value options: any = {}

  #### Returns object

### put

- put(url: string, object: any, options: any): void

- Inherited from Http.put

  Overrides Http.put

  - Defined in http/http.ts:34

  #### Parameters

  - ##### url: string

  - ##### object: any

  - ##### options: any

  #### Returns void

### queryParams

- queryParams(params: any): string

- Inherited from Http.queryParams

  Overrides Http.queryParams

  - Defined in http/http.ts:62

  #### Parameters

  - ##### params: any

  #### Returns string

### registerInterceptor

- registerInterceptor(obj: any): void

- Inherited from Http.registerInterceptor

  Overrides Http.registerInterceptor

  - Defined in http/http.ts:87

  #### Parameters

  - ##### obj: any

  #### Returns void

### unregisterInterceptor

- unregisterInterceptor(obj: any): void

- Inherited from Http.unregisterInterceptor

  Overrides Http.unregisterInterceptor

  - Defined in http/http.ts:91

  #### Parameters

  - ##### obj: any

  #### Returns void

## Object literals

### optionsDefault

optionsDefault: object

Inherited from Http.optionsDefault

Overrides Http.optionsDefault

- Defined in http/http.ts:5

### cache

cache: string = "no-cache"

- Defined in http/http.ts:6

### credentials

credentials: string = "same-origin"

- Defined in http/http.ts:7

### headers

headers: object

- Defined in http/http.ts:8

#### Type declaration

### method

method: string = "GET"

- Defined in http/http.ts:10

### mode

mode: string = "same-origin"

- Defined in http/http.ts:9